import java.awt.*;
import java.awt.event.*;
import java.io.*;

public class StatusDisplayPanel extends Panel {
    public  java.awt.List  list;
    private ItemListener   il;

    public StatusDisplayPanel(ItemListener a) {
        il = (ItemListener)a;

        setLayout(new BorderLayout());
        Label label = new Label("Server Status", Label.CENTER);
        label.setFont(new Font("Helvetica", Font.BOLD, 16));
        add(label, "North");
        label = new Label("   Server-ID   Host                                      " +
                                "Port   Max   Free  Status   ");
        add(label, "Center");
        list = new java.awt.List(10);
        list.addItemListener(il);
        add(list, "South");
    }

    public void addItem(String name) {
        list.add(name);
    }

    public void removeAllItems() {
        list.removeAll();
    }
}
